xfrhandler_struct Struct Reference

`#include <xfrhandler.h>`

## Data Fields

janitor_thread_t | thread_id
engine_type * | engine
time_t | start_time
time_t | current_time
netio_type * | netio
tcp_set_type * | tcp_set
buffer_type * | packet
xfrd_type * | tcp_waiting_first
xfrd_type * | udp_waiting_first
xfrd_type * | udp_waiting_last
size_t | udp_use_num
notify_type * | notify_waiting_first
notify_type * | notify_waiting_last
int | notify_udp_num
netio_handler_type | dnshandler
unsigned | got_time: 1
unsigned | need_to_exit: 1
unsigned | started: 1

## Detailed Description

Zone transfer handler.

Definition at line 52 of file xfrhandler.h.

## Field Documentation

## current_time

time_t xfrhandler_struct::current_time

Definition at line 58 of file xfrhandler.h.

Referenced by xfrhandler_create(), and xfrhandler_time().

## dnshandler

netio_handler_type xfrhandler_struct::dnshandler

Definition at line 70 of file xfrhandler.h.

Referenced by xfrhandler_create(), and xfrhandler_start().

## engine

engine_type* xfrhandler_struct::engine

Definition at line 55 of file xfrhandler.h.

Referenced by xfrhandler_create(), and xfrhandler_start().

## got_time

unsigned xfrhandler_struct::got_time

Definition at line 71 of file xfrhandler.h.

Referenced by xfrhandler_create(), xfrhandler_start(), and xfrhandler_time().

## need_to_exit

unsigned xfrhandler_struct::need_to_exit

Definition at line 72 of file xfrhandler.h.

Referenced by xfrhandler_create(), and xfrhandler_start().

## netio

netio_type* xfrhandler_struct::netio

Definition at line 60 of file xfrhandler.h.

Referenced by engine_update_zones(), xfrhandler_cleanup(), xfrhandler_create(), and xfrhandler_start().

## notify_udp_num

int xfrhandler_struct::notify_udp_num

Definition at line 69 of file xfrhandler.h.

Referenced by notify_enable(), and xfrhandler_create().

## notify_waiting_first

notify_type* xfrhandler_struct::notify_waiting_first

Definition at line 67 of file xfrhandler.h.

Referenced by notify_enable(), and xfrhandler_create().

## notify_waiting_last

notify_type* xfrhandler_struct::notify_waiting_last

Definition at line 68 of file xfrhandler.h.

Referenced by notify_enable(), and xfrhandler_create().

## packet

buffer_type* xfrhandler_struct::packet

Definition at line 62 of file xfrhandler.h.

Referenced by notify_send(), xfrhandler_cleanup(), and xfrhandler_create().

## start_time

time_t xfrhandler_struct::start_time

Definition at line 57 of file xfrhandler.h.

Referenced by xfrhandler_create(), and xfrhandler_start().

## started

unsigned xfrhandler_struct::started

Definition at line 73 of file xfrhandler.h.

Referenced by xfrhandler_create(), and xfrhandler_signal().

## tcp_set

tcp_set_type* xfrhandler_struct::tcp_set

Definition at line 61 of file xfrhandler.h.

Referenced by xfrhandler_cleanup(), and xfrhandler_create().

## tcp_waiting_first

xfrd_type* xfrhandler_struct::tcp_waiting_first

Definition at line 63 of file xfrhandler.h.

Referenced by xfrhandler_create().

## thread_id

janitor_thread_t xfrhandler_struct::thread_id

Definition at line 54 of file xfrhandler.h.

Referenced by xfrhandler_signal().

## udp_use_num

size_t xfrhandler_struct::udp_use_num

Definition at line 66 of file xfrhandler.h.

Referenced by xfrhandler_create().

## udp_waiting_first

xfrd_type* xfrhandler_struct::udp_waiting_first

Definition at line 64 of file xfrhandler.h.

Referenced by xfrhandler_create().

## udp_waiting_last

xfrd_type* xfrhandler_struct::udp_waiting_last

Definition at line 65 of file xfrhandler.h.

Referenced by xfrhandler_create().

The documentation for this struct was generated from the following file:

- src/daemon/xfrhandler.h